### Function

# EDataServer GDataQuery new

since: 3.46

#### Declaration [src]

    EGDataQuery*
    e_gdata_query_new (
      void
    )

#### Description [src]

Creates a new `EGDataQuery`. Free it with e_gdata_query_unref(), when no longer needed.

Available since: 3.46

#### Return value

Type: `EGDataQuery`

A new `EGDataQuery`.

The caller of the function takes ownership of the data, and is responsible for freeing it.